/*
**  PALSPY.H
**	Palette Spy 1.0 for Windows 3.1 and Windows 95.
*/

#define IDM_ALWAYSONTOP		0x1000  /* can't use lower 4 bits */
#define IDM_BEEPONCHANGE        0x2000
#define IDM_SAVE                0x3000
#define IDM_HELP                0x4000

#define IDD_DETAILS             1000    /* the dialog box */
#define ID_INDEX                101
#define ID_RGBGDI               102
#define ID_RGBHARD              103
#define ID_LIST                 104
#define ID_NUMENTRIES           105

#define MAX_PALETTE_ENTRIES	256
#define INITIAL_BOX_WIDTH	15
#define INITIAL_BOX_HEIGHT	15
#define BOX_SPACING		2
#define NUM_COLUMNS		16
#define NUM_ROWS		(MAX_PALETTE_ENTRIES / NUM_COLUMNS)

/* From DETAILS.C */
void ShowDetails(HWND hOwner, short systemIndex);

/* From PALSPY.C */
COLORREF MapTextColor(BYTE red, BYTE green, BYTE blue);
HPALETTE MakeSysPalette(void);
WORD GetPaletteMapping(HPALETTE hPalette, BYTE mapTable[]);
HPALETTE GetCurrentPalette(void);

